var AStarStep = cc.Class({
    name: "AStarStep",
    properties: () => ({
        
        id_col: {
            default: 0,
            type: cc.Integer
        },
        getcol: {
            get: function() {
                return this.id_col;
            }
        },
        id_row: {
            default: 0,
            type: cc.Integer
        },
        getrow: {
            get: function() {
                return this.id_row;
            }
        },

        getg: {
            get: function() {
                return this.id_g;
            }
        },

        geth: {
            get: function() {
                return this.id_h;
            }
        },

        getf: {
            get: function() {
                return this.id_f;
            }
        },

        getfid: {
            get: function() {
                return this.id_fid;
            }
        },

    }),
    //int col,int row
    setpos(col,row)
    {
        this.id_col = col;
        this.id_row = row;
    },
    //int g
    setg(g)
    {
        this.id_g = g;
    },
    //int h
    seth(h)
    {
        this.id_h = h;
    },
    //int fid
    setfid(fid)
    {
        this.id_fid = fid;
    },
    //int f
    setf(f)
    {
        this.id_f = f;
    }

});

module.exports = AStarStep;
